Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05831 Crash/Freeze Minor Always Jan 19, 2015, 12:41 May 5, 2016, 04:57
Tester haynor666 View Status Public Platform MAME (Official Binary)
Assigned To Robbbert Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.157 Fixed in Version 0.174 Build
Summary 05831: all: mame hangs when command bench is higher than 299
Description Running mame with bench higher than 299 does not do nothing. MAME simply stops working.

Example:
mame64.exe 1942 -bench 299 - works about 15 sec on i5 2400

mame64.exe 1942 -bench 300 - works endless and mame does not produce minimal (2%) load on i5 2400 (I waited 10 mins)

mame64.exe 1942 -str 299 -video none -sound none -nothrottle - works fine

mame64.exe 1942 -str 300 -video none -sound none -nothrottle - again does not work

but

mame64.exe 1942 -str 300 - works fine
mame64.exe 1942 -str 400 - also works fine
Steps To Reproduce Just run above commands with any game
Additional Information
Flags
Regression Version
Affected Sets / Systems all
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.11386
Tafoid
Administrator
Jan 19, 2015, 17:19
I'm going to petition that the restrictions on amount of time for running in emulated seconds be lifted. It is more trouble than worth at this point.
User avatar
No.11387
haynor666
Tester
Jan 19, 2015, 18:19
edited on: Jan 19, 2015, 18:19
That problem exists for at least 2 years but recent changes by etabeta remind me about this bug.

User avatar
No.11388
Firewave
Senior Tester
Jan 19, 2015, 18:34
It was limited, so it couldn't be used to bypass the OK screens. There might have been other reasons as well.
User avatar
No.12373
Robbbert
Developer
Jan 26, 2016, 13:29
bench values higher than 299 seem to work now (0.170GIT)

str is limited to 5 minutes to avoid bypassing the nag screens
User avatar
No.12601
Robbbert
Developer
May 5, 2016, 04:57
No idea when this was fixed or by whom.

Tester did not respond.